Bug 1381852 - Deployment fails when Memcached and SwiftProxy run on different nodes
Summary: Deployment fails when Memcached and SwiftProxy run on different nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-swift
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Paul Grist
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks: 1337782
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:28 UTC by Marius Cornea
Modified: 2016-12-14 16:09 UTC (History)
13 users (show)

Fixed In Version: puppet-swift-9.4.1-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:09:03 UTC
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 380370 None None None 2016-10-05 08:28:49 UTC
Launchpad 1628967 None None None 2016-10-05 08:28:16 UTC

Description Marius Cornea 2016-10-05 08:28:16 UTC
Description of problem:
When swift::proxy::cache is used without also including memcached in the catalog, it fails even if remote memcache server ips are provided.

Deployment fails with the following errors:

   Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-1.localdomain
    Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-1.localdomain

    Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-0.localdomain
    Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-0.localdomain

    Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-2.localdomain
    Error: Could not find resource 'Class[Memcached]' for relationship on 'Class[Swift::Proxy::Cache]' on node overcloud-serviceapi-2.localdomain

Version-Release number of selected component (if applicable):
puppet-swift-9.4.0-1.el7ost.noarch

Comment 2 Paul Grist 2016-10-06 16:00:57 UTC
merged upstream and will come in via the next import.

Comment 3 Alan Pevec 2016-10-07 09:33:55 UTC
Included in puppet-swift 9.4.1 release and in RDO Newton https://review.rdoproject.org/r/3099

https://review.openstack.org/gitweb?p=openstack/puppet-swift.git;a=shortlog;h=refs/tags/9.4.1

Comment 4 Elise Gafford 2016-10-13 15:08:55 UTC
Commit https://review.openstack.org/#/c/380370/ was included in 9.4.1, which is now tagged into rhos-10.0-rhel-7-candidate. Marking as MODIFIED.

Comment 6 Mike Abrams 2016-10-26 07:42:35 UTC
VERIFIED

manifests/proxy/cache.pp contains fix code specified in comment #4

Comment 9 errata-xmlrpc 2016-12-14 16:09:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.